.attributes-position {

  .map-container {
    border: $input-border-width solid $input-border-color;
    transition: $input-transition;
    border-radius: $input-border-radius;

    &:focus, &:focus-within, &:hover {
      color: $input-focus-color;
      background-color: $input-focus-bg;
      border-color: $input-focus-border-color;
      outline: 0;
      box-shadow: $input-focus-box-shadow;
    }
  }

  .picker-options {
    cursor: pointer;
    position: absolute;
    opacity: 0;
    background-color: rgba($black, 0.4);
    color: $white;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    transition: all 0.2s ease-in-out;
    user-select: none;

    &:hover {
      opacity: 1;
      backdrop-filter: blur(5px);
    }
  }

  .map-container {
    position: relative;
    height: 300px;
    overflow: hidden;
  }

  .map-extent-name {
    color: rgba($red-800, 0.8);
    pointer-events: none;
    user-select: none;
  }

  .map-marker {
    color: $red-400;
  }

  .map-inner-container {
    padding: $spacer;
  }

  .input-search-container {
    z-index: 999;
    position: relative;
  }

  .cross {
    z-index: 99;
    font-size: 0;
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    text-align: center;

    pointer-events: none;

    flex-direction: column;
    justify-content: center;

    transition: all ease-in-out 1s;

    &.visible {
      opacity: 1;
    }
  }
}
